Update Fulfillment by ID

Update the details of a fulfillment using its ID number.

Use this call to update products in a fulfillment. You can optionally push this change to the order level by adding "force_products_update" : true.

Important notes:

  • When the product id is not included, all required product fields (name, price, length, etc.) must be included.
  • When "force_products_update" : true is not included in the Update Fulfillment call, Delivery Hub only allows the addition of products on the fulfillment level if they are already included on the order level.
  • To update a product, send the Update Fulfillment call with the new data in place of the old.
    For example, if a fulfillment includes a pair of jeans in size L and the customer requests size M instead, you can send the Update Fulfillment call with size M listed instead of L, and the product will be updated in Delivery Hub.
  • To delete a product on the fulfillment level, send the Update Fulfillment call without the item to delete. An item cannot be deleted if it is already included in a shipment.
    To add a product, add it to the product array.
  • To remove an item from one fulfillment and move it to another fulfillment in the same order:
    1. Send the Update Fulfillment call with the item removed from the Products list.
      Do not include "force_products_update" : true (or mark this parameter as false) so the item isn’t removed from the order level.
    2. Send another Update Fulfillment call for the fulfillment you want to move the item to, adding the item to the second fulfillment’s product list.
Path Params
double
required
double
required
Body Params
boolean

When "true", Delivery Hub also updates the product information at the order level.

double

The shipping account used for the quoted or actual booking.
Required when service is present. This is used when the end-customer selects the carrier and service for a shipment.

string

The service level for the quoted booking, such as same-day. Required shipping_account_id is present.

products
array of objects

The products included in this fulfillment.

products
sender
object
recipient
object
sender_address
object
recipient_address
object
double

The ID of the location where the fulfillment is being sent from.
This is used to determine the origin of the shipment.
If not provided, the sender and sender_address must be provided.

double

Delivery Hub's or your source system's ID for the recipient's location. Forbidden if recipient or recipient_address are present.

string
enum

Designates if the fulfillment method is direct delivery to the recipient's address or via a PUDO (pickup/dropoff) location.

Allowed:
string

The ID of the PUDO (pickup/drop off) location of the sender or recipient.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json